|  | reflex::Pattern::Option Struct Reference updated Fri Dec 9 2016 |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
reflex::Pattern::Option Struct Reference

Global modifier modes, syntax flags, and compiler options. More...

## Public Attributes
bool | b
| disable escapes in bracket lists More...
Char | e
| escape character, or '\0' for none, '\' default More...
std::vector< std::string > | f
| output to files More...
bool | i
| case insensitive mode, also `(?i:X)` More...
bool | l
| lex mode More...
bool | m
| multi-line mode, also `(?m:X)` More...
std::string | n
| pattern name (for use in generated code) More...
bool | o
| generate optimized FSM code for option f More...
bool | q
| enable "X" quotation of verbatim content, also `(?q:X)` More...
bool | r
| raise syntax errors More...
bool | s
| single-line mode (dotall mode), also `(?s:X)` More...
bool | w
| write error message to stderr More...
bool | x
| free-spacing mode, also `(?x:X)` More...

## Detailed Description

Global modifier modes, syntax flags, and compiler options.

## Member Data Documentation

bool reflex::Pattern::Option::b

disable escapes in bracket lists

Char reflex::Pattern::Option::e

escape character, or '\0' for none, '\' default

std::vector<std::string> reflex::Pattern::Option::f

output to files

bool reflex::Pattern::Option::i

case insensitive mode, also `(?i:X)`

bool reflex::Pattern::Option::l

lex mode

bool reflex::Pattern::Option::m

multi-line mode, also `(?m:X)`

std::string reflex::Pattern::Option::n

pattern name (for use in generated code)

bool reflex::Pattern::Option::o

generate optimized FSM code for option f

bool reflex::Pattern::Option::q

enable "X" quotation of verbatim content, also `(?q:X)`

bool reflex::Pattern::Option::r

raise syntax errors

bool reflex::Pattern::Option::s

single-line mode (dotall mode), also `(?s:X)`

bool reflex::Pattern::Option::w

write error message to stderr

bool reflex::Pattern::Option::x

free-spacing mode, also `(?x:X)`

The documentation for this struct was generated from the following file:

- pattern.h